Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeSetThicknesses

Set the thickness of each layer

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeSetThicknesses(DMPlexTransform tr, PetscInt Nth, const PetscReal thicknesses[])

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- Nth - The number of thicknesses

- thicknesses - The array of thicknesses

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeSetThickness()`, `DMPlexTransformExtrudeGetThickness()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages